POST
/roadmaps/{roadmapId}/postsAdd a post to a roadmap
Add an existing post to a roadmap
Parameters
| Name | In | Type | Description |
|---|---|---|---|
roadmapIdrequired | path | string | Roadmap ID |
Request body
| Field | Type | Description |
|---|---|---|
postIdrequired | string | Post ID to add |
Response
Post added to roadmap
| Field | Type | Description |
|---|---|---|
messagerequired | string | |
roadmapIdrequired | string | |
postIdrequired | string |
Errors
400Validation error401Unauthorized404Roadmap or post not found409Post already in roadmapExample request
curl \
-X POST \
"https://feedback.quackback.io/api/v1/roadmaps/:roadmapId/posts" \
-H "Authorization: Bearer qb_your_api_key_here" \
-H "Content-Type: application/json" \
-d '{
"postId": "post_01h455vb4pex5vsknk084sn02q"
}'